%define nam	ggv
%define ver	0.82

%define	prefix		/usr
%define sysconfdir	/etc
%define localstatedir	/var/lib

Release:	4mdk

Summary:	The GNOME system monitor.
Name:     	%nam
Version: 	%ver
Copyright:	GPL
Group:		Office
Source: 	ftp://ftp.gnome.org/pub/GNOME/sources/unstable/%{nam}/%{nam}-%{ver}.tar.bz2
Source1:	ggv_menuentry
Source2:	ggv_mini.xpm
Source3:	ggv.xpm
URL:		http://www.gnome.org/
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:		%{prefix}/doc

%description
ggv allows you to view PostScript documents, and print ranges
of pages.

%prep
%setup -q

%build
CFLAGS="-g $RPM_OPT_FLAGS" ./configure	\
	--prefix=%{prefix} --sysconfdir=%{sysconfdir} \
	--localstatedir=%{localstatedir}
make

%install
rm -rf $RPM_BUILD_ROOT
make install prefix=$RPM_BUILD_ROOT%{prefix} \
	sysconfdir=$RPM_BUILD_ROOT%{sysconfdir}	\
	localstatedir=$RPM_BUILD_ROOT%{localstatedir}

mkdir -p $RPM_BUILD_ROOT%{prefix}/lib/menu
mkdir -p $RPM_BUILD_ROOT%{prefix}/share/icons/mini/
install -m644 %{SOURCE1} $RPM_BUILD_ROOT%{prefix}/lib/menu/ggv
install -m644 %{SOURCE2} $RPM_BUILD_ROOT%{prefix}/share/icons/mini
install -m644 %{SOURCE3} $RPM_BUILD_ROOT%{prefix}/share/icons/

%clean
rm -rf $RPM_BUILD_ROOT

%post   
[ -x /usr/bin/update-menus ] && /usr/bin/update-menus || true

/sbin/ldconfig

%postun
if [ "$1" = "0" ]; then
[ -x /usr/bin/update-menus ] && /usr/bin/update-menus || true
fi
/sbin/ldconfig

%files
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{prefix}/bin/*
%{prefix}/share/*
/usr/lib/menu/%{name}
%{sysconfdir}/CORBA/servers/*

%changelog
* Fri Apr 28 2000 Vincent Saugey <vince@mandrakesoft.com> 0.82-4mdk
- Fix problem of path
- Add 32x32 icon

* Wed Apr 19 2000 Daouda Lo <daouda@mandrakesoft.com> 0.82-3mdk
- fix bonobo dependencies 

* Tue Apr 18 2000 Daouda Lo <daouda@mandrakesoft.com> 0.82-2mdk
- Upload both Source and binary files.
- add menu entry 
- add icon 

